canl_mod_gridsite.c File Reference
module AP_MODULE_DECLARE_DATA

## Functions

int | parse_content_range (request_rec *r, apr_off_t *range_start, apr_off_t *range_end, apr_off_t *range_length)
char * | html_escape (apr_pool_t *pool, char *s)
char * | make_admin_footer (request_rec *r, mod_gridsite_dir_cfg *conf, int isdirectory)
void | delegation_header (request_rec *r, mod_gridsite_dir_cfg *conf)
int | html_format (request_rec *r, mod_gridsite_dir_cfg *conf)
int | html_dir_list (request_rec *r, mod_gridsite_dir_cfg *conf)
char * | make_passcode_file (request_rec *r, mod_gridsite_dir_cfg *conf, char *path, apr_time_t expires_time)
int | http_gridhttp (request_rec *r, mod_gridsite_dir_cfg *conf)
int | http_put_method (request_rec *r, mod_gridsite_dir_cfg *conf)
int | http_delete_method (request_rec *r, mod_gridsite_dir_cfg *conf)
int | http_move_method (request_rec *r, mod_gridsite_dir_cfg *conf)
int | GRST_get_session_id (SSL *ssl, char *session_id, size_t len)
int | GRST_load_ssl_creds (SSL *ssl, conn_rec *conn)
void | GRST_save_ssl_creds (conn_rec *conn, GRSTx509Chain *grst_chain)
int | GRST_callback_SSLVerify_wrapper (int ok, X509_STORE_CTX *ctx)
void | sitecast_handle_NOP_request (server_rec *main_server, GRSThtcpMessage *htcp_mesg, int s, struct sockaddr *client_addr_ptr, socklen_t client_addr_len)
void | sitecast_handle_TST_GET (server_rec *main_server, GRSThtcpMessage *htcp_mesg, int s, struct sockaddr *client_addr_ptr, socklen_t client_addr_len)
void | sitecast_handle_request (server_rec *main_server, char *reqbuf, int reqbuf_len, int s, struct sockaddr *client_addr_ptr, socklen_t client_addr_len)
void | sitecast_responder (server_rec *main_server)

## Variables

int | gridhttpport = 0
char * | sessionsdir = NULL
char * | sitecastdnlists = NULL
char * | ocspmodes = NULL
struct sitecast_group | sitecastgroups [GRST_SITECAST_GROUPS+1]
struct sitecast_alias | sitecastaliases [GRST_SITECAST_ALIASES]
int | mod_ssl_with_insecure_reneg = 0
struct sitecast_sockets | sitecast_sockets

## Function Documentation

## delegation_header()

void delegation_header | ( | request_rec * | r,
|  | mod_gridsite_dir_cfg * | conf )

## GRST_callback_SSLVerify_wrapper()

int GRST_callback_SSLVerify_wrapper | ( | int | ok,
|  | X509_STORE_CTX * | ctx )

## GRST_get_session_id()

int GRST_get_session_id | ( | SSL * | ssl,
|  | char * | session_id,
|  | size_t | len )

## GRST_load_ssl_creds()

int GRST_load_ssl_creds | ( | SSL * | ssl,
|  | conn_rec * | conn )

## GRST_save_ssl_creds()

void GRST_save_ssl_creds | ( | conn_rec * | conn,
|  | GRSTx509Chain * | grst_chain )

## html_dir_list()

int html_dir_list | ( | request_rec * | r,
|  | mod_gridsite_dir_cfg * | conf )

## html_escape()

char * html_escape | ( | apr_pool_t * | pool,
|  | char * | s )

## html_format()

int html_format | ( | request_rec * | r,
|  | mod_gridsite_dir_cfg * | conf )

## http_delete_method()

int http_delete_method | ( | request_rec * | r,
|  | mod_gridsite_dir_cfg * | conf )

## http_gridhttp()

int http_gridhttp | ( | request_rec * | r,
|  | mod_gridsite_dir_cfg * | conf )

## http_move_method()

int http_move_method | ( | request_rec * | r,
|  | mod_gridsite_dir_cfg * | conf )

## http_put_method()

int http_put_method | ( | request_rec * | r,
|  | mod_gridsite_dir_cfg * | conf )

## make_admin_footer()

char * make_admin_footer | ( | request_rec * | r,
|  | mod_gridsite_dir_cfg * | conf,
|  | int | isdirectory )

## make_passcode_file()

char * make_passcode_file | ( | request_rec * | r,
|  | mod_gridsite_dir_cfg * | conf,
|  | char * | path,
|  | apr_time_t | expires_time )

## parse_content_range()

int parse_content_range | ( | request_rec * | r,
|  | apr_off_t * | range_start,
|  | apr_off_t * | range_end,
|  | apr_off_t * | range_length )

## sitecast_handle_NOP_request()

void sitecast_handle_NOP_request | ( | server_rec * | main_server,
|  | GRSThtcpMessage * | htcp_mesg,
|  | int | s,
|  | struct sockaddr * | client_addr_ptr,
|  | socklen_t | client_addr_len )

## sitecast_handle_request()

void sitecast_handle_request | ( | server_rec * | main_server,
|  | char * | reqbuf,
|  | int | reqbuf_len,
|  | int | s,
|  | struct sockaddr * | client_addr_ptr,
|  | socklen_t | client_addr_len )

## sitecast_handle_TST_GET()

void sitecast_handle_TST_GET | ( | server_rec * | main_server,
|  | GRSThtcpMessage * | htcp_mesg,
|  | int | s,
|  | struct sockaddr * | client_addr_ptr,
|  | socklen_t | client_addr_len )

## sitecast_responder()

void sitecast_responder | ( | server_rec * | main_server | ) |

## Variable Documentation

## gridhttpport

int gridhttpport = 0

## mod_ssl_with_insecure_reneg

int mod_ssl_with_insecure_reneg = 0

## ocspmodes

char* ocspmodes = NULL

## sessionsdir

char* sessionsdir = NULL

## sitecast_sockets

struct sitecast_sockets sitecast_sockets

## sitecastaliases

struct sitecast_alias sitecastaliases[GRST_SITECAST_ALIASES]

## sitecastdnlists

char* sitecastdnlists = NULL

## sitecastgroups

struct sitecast_group sitecastgroups[GRST_SITECAST_GROUPS+1]